import 'package:example/core/init/network_manager.dart';
import 'package:example/core/model/todos.dart';
import 'package:fireball/network/manager.dart';
import 'package:flutter/material.dart';
import './pet.dart';

abstract class PetViewModel extends State<Pet> {
  // Add your state and logic here
  NetworkManager manager = PlaceHolderNetworkManager.instance.manager;

  Future<List<Todo>> fetchPlaceHolderPosts() async {
    final response = await manager.get<Todo>("todos", responseType: Todo());
    return response;
  }
}
