import 'package:fireball/network/config.dart';
import 'package:fireball/network/local/IFileManager.dart';
import 'package:fireball/network/model/header.dart';

class PlaceHolderConfig extends NetworkConfig {
  @override
  Duration timeout = Duration(seconds: 60);

  @override
  NetworkConfig addHeader(KeyValue header) {
    return null;
  }

  @override
  String get baseUrl => "https://jsonplaceholder.typicode.com/";

  @override
  List<KeyValue> get headers => [];

  @override
  NetworkConfig setTimeout(Duration timeout) {
    return null;
  }

  @override
  IFileManager fileManager;

  @override
  bool get enableLog => false;
}
