import 'dart:convert';
import 'dart:io';

import 'package:fireball/network/learning.dart';
import 'package:fireball/network/model/error_model.dart';
import 'package:fireball/network/model/response_model.dart';

class PlaceHolderLearning extends NetworkLearning {
  @override
  checkCustomError(ErrorModel error) async {
    return error;
  }

  @override
  checkSuccess<T>(ResponseModel response) {
    return response.data;
  }
}
