import 'package:fireball/network/manager.dart';

import 'json_place_holder_config.dart';
import 'json_place_holder_learning.dart';

class PlaceHolderNetworkManager {
  NetworkManager manager;
  static PlaceHolderNetworkManager _instance;
  static PlaceHolderNetworkManager get instance {
    if (_instance == null) {
      _instance = PlaceHolderNetworkManager._init();
    }
    return _instance;
  }

  PlaceHolderNetworkManager._init() {
    manager = NetworkManager(
        config: PlaceHolderConfig(), learning: PlaceHolderLearning());
  }
}
